<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:id="@+id/rl_map_download"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="#1BA5F1"
        android:orientation="horizontal"
        android:paddingTop="@dimen/top_pind_sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/iv_download"
            android:layout_width="wrap_content"
            android:layout_height="45dp"
            android:layout_alignParentLeft="true"
            android:layout_marginLeft="15dp"
            android:src="@drawable/icon_arrow" />

        <TextView
            android:id="@+id/tv_download"
            style="@style/text_style_toolbar_title"
            android:layout_width="match_parent"
            android:layout_toRightOf="@id/iv_find_task"
            android:text="下载离线地图" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/linearLayout2"
        android:layout_width="match_parent"
        android:layout_height="60dp"
        android:background="#F3E7C5"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/rl_map_download">

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="40dp"
            android:layout_margin="5dp"
            android:layout_weight="1"
            android:background="#fff" >
            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@drawable/ic_baseline_search"
                android:layout_gravity="center_vertical"
                android:layout_marginLeft="10dp"/>
        </LinearLayout>



        <Button
            android:layout_width="60dp"
            android:layout_height="wrap_content"
            android:layout_margin="10dp"
            android:background="#FF5722"
            android:text="搜索"
            android:textColor="#fff" />
    </LinearLayout>

    <com.jcodecraeer.xrecyclerview.XRecyclerView
        android:id="@+id/recycler_view"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/linearLayout2"/>

</androidx.constraintlayout.widget.ConstraintLayout>